/*
Stallation version 0.7  (2000-06-28)

Written by Peter Folk <pfolk@uni.uiuc.edu>

The contents of this file are in the public domain, but
the author would appreciate it if any useful changes or
corrections were communicated back to him, for inclusion
in a future version.
*/
#ifndef GARGOYLE_STALL_INSTALLATION_MANAGER_H
#define GARGOYLE_STALL_INSTALLATION_MANAGER_H
#include "Stallation.h"
#include <layout/MWindow.h>
#include <layout/MListView.h>
#include <be/support/Autolock.h>

class InstallationManager: public MWindow
{
	MListView *list;
	
  public:
	InstallationManager(BRect size);
	
	virtual void MessageReceived(BMessage*);
	virtual bool QuitRequested();
	
	void Destall();
	void Merge();
	
	void Add(Stallation *inst){BAutolock l(this); list->AddItem(inst);}
};
#endif
